;(function ($) {
    
    var OPINION_WEB_LIST = '/IGI/opinion/web/list';
    var OPEN_SURVEY_LIST =  '/IGI/open/survey/list';

    var opinionCount = 0;//意见征集数据条数
    var surveyCount = 0;//获取在线调查数据条数
    var opinionAndSurveylist = "";//意见征集和在线调查的列表数据

    var otherData = {
        siteId: 29,
    }

    getOpinionCount();

    // 获取意见征集数据条数
    function getOpinionCount() {
        var params = {
            pageIndex: 1,
            pageSize: 1,
        }

        $.ajax({
            type: "get",
            url: OPINION_WEB_LIST,
            data: $.extend({}, params, otherData),
            xhrFields: {withCredentials: true},
         
            dataType: "json",
            success: function (data) {
                var codeTemp = data.statusCode;

                if (codeTemp === 200) {
                    var pageTemp = data.datas.pageInfo;
                    opinionCount = pageTemp.totalResults;
                    getSurveyCount();
                } else {
                    layer.alert(data.message);
                }
            },
            error: function (data) {
                layer.msg('网络连接错误，请刷新或稍后重试！');
            },
        });
    }

    // 获取在线调查数据条数
    function getSurveyCount() {
        var params = {
            pageIndex: 1,
            pageSize: 1,
        }

        $.ajax({
            type: "get",
            url: OPEN_SURVEY_LIST,
            data: $.extend({}, params, otherData),
            xhrFields: {withCredentials: true},
          
            dataType: "json",
            success: function (data) {
                var codeTemp = data.statusCode;

                if (codeTemp === 200) {
                    var pageTemp = data.datas.pageInfo;
                    surveyCount = pageTemp.totalResults;
                    getOpinionList();
                } else {
                    layer.alert(data.message);
                }
            },
            error: function (data) {
                layer.msg('网络连接错误，请刷新或稍后重试！');
            },
        });
    }

    // 获取意见征集数据
    function getOpinionList() {
        var params = {
            pageIndex: 1,
            pageSize: opinionCount === 0 ? 1 : opinionCount,

        }

        $.ajax({
            type: "get",
            url: OPINION_WEB_LIST,
            data: $.extend({}, params, otherData),
            xhrFields: {withCredentials: true},
           
            dataType: "json",
            success: function (data) {
                var codeTemp = data.statusCode;
                if (codeTemp === 200) {
                    var dataTemp = data.datas.data;

                    dataTemp.forEach(function (item) {
                    		console.log("id:" + item.id);
                    		console.log("theme:" + item.theme);
                        item.dataType = "opinion";
                        item.beginTime = unixToDate(item.beginTime, 'yyyy-MM-dd');
                        item.endTime = unixToDate(item.endTime, 'yyyy-MM-dd');
                        item.theme = beautySub(item.theme, 50);
                    })

                    opinionAndSurveylist = dataTemp;
                    getSurveyList();
                } else {
                    layer.alert(data.message);
                }
            },
            error: function (data) {
                layer.msg('网络连接错误，请刷新或稍后重试！');
            },
        });
    }

    // 获取在线调查数据
    function getSurveyList() {
        var params = {
            pageIndex: 1,
            pageSize: surveyCount === 0 ? 1 : surveyCount,

        }

        $.ajax({
            type: "get",
            url: OPEN_SURVEY_LIST,
            data: $.extend({}, params, otherData),
            xhrFields: {withCredentials: true},
            
            dataType: "json",
            success: function (data) {
                var codeTemp = data.statusCode;

                if (codeTemp === 200) {
                    var dataTemp = data.datas.data;
                    dataTemp.forEach(function (item) {
                        var startTime = unixToDate(item.startTime, 'yyyy-MM-dd');
                        item.dataType = "survey";
                        item.startTime = startTime;
                        item.endTime = unixToDate(item.endTime, 'yyyy-MM-dd');
                        item.beginTime = startTime;
                        item.title = beautySub(item.title, 50);
                    })

                    opinionAndSurveylist = opinionAndSurveylist.concat(dataTemp);
                    opinionAndSurveylist.sort(sortCompare('beginTime'));// 排序，按发布时间倒序

                    var lsitHtml = "";
                    opinionAndSurveylist.forEach(function (item) {
                        if (item.dataType === "opinion") {
                        	
                        	console.log(item.theme);
                        	
                            // 处理状态值
                            var status = "";
                            if (item.status === 0 || item.status === '0') {
                                status = "进行中";
                            } else if (item.status === 1 || item.status === '1') {
                                status = "已结束";
                            } else if (item.status === 2 || item.status === '2') {
                                status = "未开始";
                            }
                            var  statustext=""
                            if(status =="已结束"){
                             statustext='<span class="md-orange view">查看结果</span>'


                            }
                            else{
                             statustext=  '<span class="md-blue join">参与调查</span>'

                            }

                            // 处理图片
                            var imgHtml = "";
                            if (item.attachList) {
                                imgHtml += '<div class="pic">' +
                                    '   <img src="{{item.attachList.filePath}}" alt="" />' +
                                    '</div>';
                            }
							var linkUrl = "";
                            if (item.exLink) {
                                linkUrl = item.exLink;
                            } else {
                                // todo 修改详情的链接地址
                                linkUrl ="yjzj.shtml?collectionId="+ item.id +"&siteId="+otherData.siteId+"&status="+item.status
                            }
							
							

                            // 针对具体情况修改a跳转地址
                            lsitHtml += ' <li>' +
                                '    <a href="'+linkUrl+'" title="'+item.theme +' "  target="_blank" >' +
                                imgHtml +
                                '        <h4><i class="mdi mdi-menu mr10"></i>' + item.theme + '</h4>' +
                                // '        <p class="mb20">' +
                                // '            征集部门：' + item.opinionDept + '&nbsp;&nbsp;征集类型：' + item.type +
                                // '        </p>' +
                                '        <p class="mb20">' +
                                '            时间：' + item.beginTime + '&nbsp;至&nbsp;' + item.endTime +
                                '            &ensp;/&ensp;' + status +
                                '        </p>' +
                                '        <p>' +statustext+
                                '        </p>' +
                                '    </a>' +
                                '</li>'
                        } else if (item.dataType === "survey") {
                            // 处理状态值
                            var status = "";
                            if (item.status === 0 || item.status === '0') {
                                status = "进行中";
                            } else if (item.status === 1 || item.status === '1') {
                                status = "已暂停";
                            } else if (item.status === 2 || item.status === '2') {
                                status = "未发布";
                            } else if (item.status === 9 || item.status === '9') {
                                status = "已结束";
                            }
                        
                               if(item.status === 9 || item.status === '9'){
								   var linkUrl = "";
                            if (item.exLink) {
                                linkUrl = item.exLink;
                            } else {
                                // todo 修改详情的链接地址
                               linkUrl ="/hdjl/dczj/zxdc.shtml?/personalCenter/#/chartmain?metadataId=" + item.id +"&siteId="+otherData.siteId
                            }
								   
								   
                                    // 针对具体情况修改a跳转地址
                                    lsitHtml += ' <li>' +
                                    '    <a href="'+linkUrl+'" title="'+item.title +' " target="_blank"> ' +
                                    '        <h4><i class="mdi mdi-menu mr10"></i>' + item.title + '</h4>' +
                                    '        <p class="mb20">' +
                                    '            时间：' + item.startTime + '&nbsp;至&nbsp;' + item.endTime +
                                    '            &ensp;/&ensp;' + status +
                                    '        </p>' +
                                    '        <p><span class="md-orange view">查看结果</span></p>' +
                                    '    </a>' +
                                    '</li>'




                               }
                               else{
								   
								     var linkUrl = "";
                            if (item.exLink) {
                                linkUrl = item.exLink;
                            } else {
                                // todo 修改详情的链接地址
                               linkUrl ="/hdjl/dczj/zxdc.shtml?/personalCenter/answerSheet/answerSheet.html?metadataId="+ item.id +"&siteId="+otherData.siteId
                            }
								   
                                 // 针对具体情况修改a跳转地址
                            lsitHtml += ' <li>' +
                            '    <a href="'+linkUrl+'" title="'+item.title +' " target="_blank"> ' +
                            '        <h4><i class="mdi mdi-menu mr10"></i>' + item.title + '</h4>' +
                            '        <p class="mb20">' +
                            '            时间：' + item.startTime + '&nbsp;至&nbsp;' + item.endTime +
                            '            &ensp;/&ensp;' + status +
                            '        </p>' +
                            '        <p><span class="md-blue join">参与调查</span> </p>' +
                            '    </a>' +
                            '</li>'

                               }
                        }
                    })
                    $("#share").html(lsitHtml)

                    // 初始化客户端分页插件
                    $("#jsPages").jPages({
                        containerID: "share",
                        first: "首页",
                        previous: "上一页",
                        next: "下一页",
                        last: "尾页",
                        startPage: 1,
                        perPage: 5,
                        midRange: 5,
                    });
                } else {
                    layer.alert(data.message);
                }
            },
            error: function (data) {
                layer.msg('网络连接错误，请刷新或稍后重试！');
            },
        });
    }

    /**
     * 时间戳转换为日期格式
     * @param {String} unix - 时间戳，单位ms
     * @param {String} fmt - 格式化
     * @returns {Number} 日期格式
     */
    function unixToDate(unix, fmt) {
        fmt = fmt || "yyyy-MM-dd";

        var fullDate = new Date(parseInt(unix));

        var o = {
            "M+": fullDate.getMonth() + 1,// 月份
            "d+": fullDate.getDate(),// 日
            "H+": fullDate.getHours(),// 小时
            "m+": fullDate.getMinutes(),// 分
            "s+": fullDate.getSeconds(),// 秒
            "q+": Math.floor((fullDate.getMonth() + 3) / 3), // 季度
            "S": fullDate.getMilliseconds()// 毫秒
        };

        if (/(y+)/.test(fmt)) {
            fmt = fmt.replace(RegExp.$1, (fullDate.getFullYear() + "").substr(4 - RegExp.$1.length));
        }

        for (var k in o) {
            if (new RegExp("(" + k + ")").test(fmt)) {
                fmt = fmt.replace(RegExp.$1, (RegExp.$1.length == 1) ? (o[k]) : (("00" + o[k]).substr(("" + o[k]).length)));
            }
        }
        return fmt;
    }

    /*
     * 用途：js中字符串超长作固定长度加省略号（...）处理
     * 参数说明：
     * str:需要进行处理的字符串，可含汉字
     * len:需要显示多少个汉字，两个英文字母相当于一个汉字。
     */
    function beautySub(str, len) {
        if (str) {
            var reg = /[\u4e00-\u9fa5]/g, //专业匹配中文
                slice = str.substring(0, len),
                chineseCharNum = (~~(slice.match(reg) && slice.match(reg).length)),
                realen = slice.length * 2 - chineseCharNum;
            return str.substr(0, realen) + (realen < str.length ? "..." : "");
        } else {
            return "";
        }
    }

    /*
    * 用途：sort 排序参数处理
    * @param prop - 排序的参数
    */
    function sortCompare(prop) {
        return function (obj1, obj2) {
            var val1 = obj1[prop];
            var val2 = obj2[prop];
            if (!isNaN(Number(val1)) && !isNaN(Number(val2))) {
                val1 = Number(val1);
                val2 = Number(val2);
            }
            if (val1 < val2) {
                return 1;
            } else if (val1 > val2) {
                return -1;
            } else {
                return 0;
            }
        }
    }
})(window.jQuery);
